Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree
Class HtmlTreeCheckbox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItem
                  org.apache.myfaces.custom.tree.HtmlTreeCheckbox

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlTreeCheckbox
extends javax.faces.component.UISelectItem

Author:
  David Le Strat

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` The component family.
`static java.lang.String` | `COMPONENT_TYPE` The component type.
`static java.lang.String` | `FOR_ATTR` The for attribute declaration.

Constructor Summary
`HtmlTreeCheckbox()` Default Constructor.

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFor()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setFor(java.lang.String forAttr)`

Methods inherited from class javax.faces.component.UISelectItem
`getItemDescription, getItemLabel, getItemValue, getValue, isItemDisabled, setItemDescription, setItemDisabled, setItemLabel, setItemValue, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOR_ATTR

    public static final java.lang.String FOR_ATTR

  The for attribute declaration.

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The component type.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  The component family.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlTreeCheckbox

    public HtmlTreeCheckbox()

  Default Constructor.

Method Detail

### getFamily

    public java.lang.String getFamily()

  See Also:
    `UIComponent.getFamily()`

### getFor

    public java.lang.String getFor()

  Returns:
    The for attribute.

### setFor

    public void setFor(java.lang.String forAttr)

  Parameters:
    `forAttr` - The for attribute.

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  See Also:
    `StateHolder.saveState(javax.faces.context.FacesContext)`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  See Also:
    `StateHolder.restoreState(javax.faces.context.FacesContext, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD